Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.criteria.predicate
Class ComparisonPredicate

    java.lang.Object
      org.hibernate.ejb.criteria.AbstractNode
          org.hibernate.ejb.criteria.expression.AbstractTupleElement<X>
              org.hibernate.ejb.criteria.expression.SelectionImpl<T>
                  org.hibernate.ejb.criteria.expression.ExpressionImpl<Boolean>
                      org.hibernate.ejb.criteria.predicate.AbstractPredicateImpl
                          org.hibernate.ejb.criteria.predicate.AbstractSimplePredicate
                              org.hibernate.ejb.criteria.predicate.ComparisonPredicate

All Implemented Interfaces:
  Serializable, Expression<Boolean>, Predicate, Selection<Boolean>, TupleElement<Boolean>, BinaryOperatorExpression<Boolean>, ExpressionImplementor<Boolean>, ParameterContainer, Renderable, SelectionImplementor<Boolean>, TupleElementImplementor<Boolean>

    public class ComparisonPredicate

extends AbstractSimplePredicate
implements BinaryOperatorExpression<Boolean>, Serializable

Models a basic relational comparison predicate.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `ComparisonPredicate.ComparisonOperator` Defines the comparison operators.

Nested classes/interfaces inherited from interface javax.persistence.criteria.Predicate
`Predicate.BooleanOperator`

Nested classes/interfaces inherited from interface org.hibernate.ejb.criteria.ParameterContainer
`ParameterContainer.Helper`

Constructor Summary
`ComparisonPredicate(CriteriaBuilderImpl criteriaBuilder, ComparisonPredicate.ComparisonOperator comparisonOperator, Expression<?> leftHandSide, Expression<?> rightHandSide)`
`ComparisonPredicate(CriteriaBuilderImpl criteriaBuilder, ComparisonPredicate.ComparisonOperator comparisonOperator, Expression<?> leftHandSide, Object rightHandSide)`
`ComparisonPredicate(CriteriaBuilderImpl criteriaBuilder, ComparisonPredicate.ComparisonOperator comparisonOperator, Expression<N> leftHandSide, Number rightHandSide)`

Method Summary
`ComparisonPredicate.ComparisonOperator` | `getComparisonOperator()`
`Expression` | `getLeftHandOperand()` Get the left-hand operand.
`Expression` | `getRightHandOperand()` Get the right-hand operand.
`void` | `registerParameters(ParameterRegistry registry)` Register any parameters contained within this query component with the given registry.
`String` | `render(CriteriaQueryCompiler.RenderingContext renderingContext)`
`String` | `renderProjection(CriteriaQueryCompiler.RenderingContext renderingContext)`

Methods inherited from class org.hibernate.ejb.criteria.predicate.AbstractSimplePredicate
`getExpressions, getOperator`

Methods inherited from class org.hibernate.ejb.criteria.predicate.AbstractPredicateImpl
`getCompoundSelectionItems, isCompoundSelection, isNegated, not`

Methods inherited from class org.hibernate.ejb.criteria.expression.ExpressionImpl
`as, asBigDecimal, asBigInteger, asDouble, asFloat, asInteger, asLong, asString, in, in, in, in, isNotNull, isNull`

Methods inherited from class org.hibernate.ejb.criteria.expression.SelectionImpl
`alias, getValueHandlers`

Methods inherited from class org.hibernate.ejb.criteria.expression.AbstractTupleElement
`forceConversion, getAlias, getJavaType, getValueHandler, resetJavaType, setAlias`

Methods inherited from class org.hibernate.ejb.criteria.AbstractNode
`criteriaBuilder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Methods inherited from interface org.hibernate.ejb.criteria.SelectionImplementor
`getValueHandlers`

Methods inherited from interface org.hibernate.ejb.criteria.TupleElementImplementor
`getValueHandler`

Constructor Detail

### ComparisonPredicate

    public ComparisonPredicate(CriteriaBuilderImpl criteriaBuilder,
                               ComparisonPredicate.ComparisonOperator comparisonOperator,
                               Expression<?> leftHandSide,
                               Expression<?> rightHandSide)

### ComparisonPredicate

    public ComparisonPredicate(CriteriaBuilderImpl criteriaBuilder,
                               ComparisonPredicate.ComparisonOperator comparisonOperator,
                               Expression<?> leftHandSide,
                               Object rightHandSide)

### ComparisonPredicate

    public ComparisonPredicate(CriteriaBuilderImpl criteriaBuilder,
                               ComparisonPredicate.ComparisonOperator comparisonOperator,
                               Expression<N> leftHandSide,
                               Number rightHandSide)

Method Detail

### getComparisonOperator

    public ComparisonPredicate.ComparisonOperator getComparisonOperator()

### getLeftHandOperand

    public Expression getLeftHandOperand()

  Description copied from interface: `BinaryOperatorExpression`
  Get the left-hand operand.

  Specified by:
    `getLeftHandOperand` in interface `BinaryOperatorExpression<Boolean>`
  Returns:
    The left-hand operand.

### getRightHandOperand

    public Expression getRightHandOperand()

  Description copied from interface: `BinaryOperatorExpression`
  Get the right-hand operand.

  Specified by:
    `getRightHandOperand` in interface `BinaryOperatorExpression<Boolean>`
  Returns:
    The right-hand operand.

### registerParameters

    public void registerParameters(ParameterRegistry registry)

  Description copied from interface: `ParameterContainer`
  Register any parameters contained within this query component with the given registry.

  Specified by:
    `registerParameters` in interface `ParameterContainer`
  Parameters:
    `registry` - The parameter registry with which to register.

### render

    public String render(CriteriaQueryCompiler.RenderingContext renderingContext)

  Specified by:
    `render` in interface `Renderable`

### renderProjection

    public String renderProjection(CriteriaQueryCompiler.RenderingContext renderingContext)

  Specified by:
    `renderProjection` in interface `Renderable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.